# coding=utf-8
"""
 @Author: fu-zhe
 @FileName: user_cron.py
 @DateTime: 2024/5/23 14:19
 @Description: 用户相关的定时任务 全量获取，对已有数据进行先删除后写入  周期一天
"""
from __future__ import unicode_literals

import random,string
import traceback
import time
from datetime import datetime, timedelta
import calendar
from uebaMetricsAnalysis.utils.ext_logging import logger_cron
from uebaMetricsAnalysis.utils.db2json import DBUtils, DBType
from uebaMetricsAnalysis.utils.file_to_pg import entry

JOB_STATUS ={
    "RUNNING":1,
    "FINISH":2,
    "ERROR":3
}

class UserCron:
    #每5分钟执行一次
    def processing(self):
        try:
            logger_cron.info("INSERT：开始执行")
            entry()
            logger_cron.info("INSERT："+"执行完成")
        except Exception ,e:
            err_info=traceback.format_exc()
            logger_cron.error("INSERT："+"执行失败,"+err_info)

if __name__ == '__main__':
    UserCron().processing()