# coding=utf-8
from __future__ import unicode_literals

data = {
    "summary": {
        "ip": [
            {
                "company": "宜昌分公司",
                "req_frequency": 517,
                "frequency_rate": 17.1475953565506,
                "ip_count": 8,
                "ip_rate": 0.195121951219512,
                "ip_avg": 2.14344941956882,
                "trend": 0.09
            },
            {
                "company": "随州分公司",
                "req_frequency": 329,
                "frequency_rate": 10.9121061359867,
                "ip_count": 7,
                "ip_rate": 0.170731707317073,
                "ip_avg": 1.55887230514096,
                "trend": 0.1
            },
            {
                "company": "孝感分公司",
                "req_frequency": 399,
                "frequency_rate": 13.2338308457711,
                "ip_count": 7,
                "ip_rate": 0.170731707317073,
                "ip_avg": 1.89054726368159,
                "trend": -0.07
            },
            {
                "company": "黄冈分公司",
                "req_frequency": 495,
                "frequency_rate": 16.4179104477612,
                "ip_count": 9,
                "ip_rate": 0.219512195121951,
                "ip_avg": 1.82421227197347,
                "trend": -0.02
            },
            {
                "company": "省公司",
                "req_frequency": 1275,
                "frequency_rate": 42.2885572139304,
                "ip_count": 10,
                "ip_rate": 0.24390243902439,
                "ip_avg": 4.22885572139304,
                "trend": 0.1
            }
        ],
        "account": [
            {
                "company": "宜昌分公司",
                "req_frequency": 134,
                "frequency_rate": 19.7058823529412,
                "account_count": 8,
                "account_rate": 0.242424242424242,
                "account_avg": 2.46323529411765,
                "trend": 0.09
            },
            {
                "company": "随州分公司",
                "req_frequency": 73,
                "frequency_rate": 10.7352941176471,
                "account_count": 7,
                "account_rate": 0.212121212121212,
                "account_avg": 1.53361344537815,
                "trend": 0.1
            },
            {
                "company": "孝感分公司",
                "req_frequency": 225,
                "frequency_rate": 33.0882352941176,
                "account_count": 7,
                "account_rate": 0.212121212121212,
                "account_avg": 4.72689075630252,
                "trend": -0.07
            },
            {
                "company": "黄冈分公司",
                "req_frequency": 166,
                "frequency_rate": 24.4117647058824,
                "account_count": 9,
                "account_rate": 0.272727272727273,
                "account_avg": 2.71241830065359,
                "trend": -0.02
            },
            {
                "company": "省公司",
                "req_frequency": 216,
                "frequency_rate": 31.7647058823529,
                "account_count": 10,
                "account_rate": 0.303030303030303,
                "account_avg": 3.17647058823529,
                "trend": 0.1
            }
        ],
        "interface": [
            {
                "interface_addr": "http://190.89.233.2:8909/getUser",
                "req_frequency": 212,
                "frequency_rate": 0.160727824109174,
                "frequency_avg": 0,
                "trend": 0.07
            },
            {
                "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                "req_frequency": 225,
                "frequency_rate": 0.170583775587566,
                "frequency_avg": 0,
                "trend": 0.02
            },
            {
                "interface_addr": "http://190.89.233.2:8909/update/sysconfig",
                "req_frequency": 882,
                "frequency_rate": 0.66868840030326,
                "frequency_avg": 0,
                "trend": -0.09
            }
        ],
        "menu": [
            {
                "menu_name": "菜单1",
                "req_frequency": 333,
                "frequency_rate": 0.263449367088608,
                "frequency_avg": 111,
                "trend": 0.09
            },
            {
                "menu_name": "菜单2",
                "req_frequency": 315,
                "frequency_rate": 0.249208860759494,
                "frequency_avg": 105,
                "trend": -0.01
            },
            {
                "menu_name": "菜单3",
                "req_frequency": 616,
                "frequency_rate": 0.487341772151899,
                "frequency_avg": 205.333333333333,
                "trend": 0.02
            }
        ]
    },
    "detail": {
        "ip": {
            "宜昌分公司": [
                {
                    "req_ip": "192.156.3.11",
                    "req_jobnum": "54411",
                    "req_frequency": 22
                },
                {
                    "req_ip": "192.156.3.12",
                    "req_jobnum": "54411",
                    "req_frequency": 12
                },
                {
                    "req_ip": "192.156.3.19",
                    "req_jobnum": "54411",
                    "req_frequency": 78
                },
                {
                    "req_ip": "192.156.3.20",
                    "req_jobnum": "54411",
                    "req_frequency": 79
                },
                {
                    "req_ip": "192.156.3.21",
                    "req_jobnum": "54411",
                    "req_frequency": 80
                },
                {
                    "req_ip": "192.156.3.22",
                    "req_jobnum": "54411",
                    "req_frequency": 81
                },
                {
                    "req_ip": "192.156.3.23",
                    "req_jobnum": "54411",
                    "req_frequency": 82
                },
                {
                    "req_ip": "192.156.3.24",
                    "req_jobnum": "54411",
                    "req_frequency": 83
                }
            ],
            "随州分公司": [
                {
                    "req_ip": "192.116.3.24",
                    "req_jobnum": 54415,
                    "req_frequency": 44
                },
                {
                    "req_ip": "192.116.3.25",
                    "req_jobnum": "54411",
                    "req_frequency": 45
                },
                {
                    "req_ip": "192.116.3.26",
                    "req_jobnum": "54411",
                    "req_frequency": 46
                },
                {
                    "req_ip": "192.116.3.27",
                    "req_frequency": 47
                },
                {
                    "req_ip": "192.116.3.28",
                    "req_frequency": 48
                },
                {
                    "req_ip": "192.116.3.29",
                    "req_frequency": 49
                },
                {
                    "req_ip": "192.116.3.30",
                    "req_frequency": 50
                }
            ],
            "孝感分公司": [
                {
                    "req_ip": "192.126.3.24",
                    "req_frequency": 54
                },
                {
                    "req_ip": "192.126.3.25",
                    "req_frequency": 55
                },
                {
                    "req_ip": "192.126.3.26",
                    "req_frequency": 56
                },
                {
                    "req_ip": "192.126.3.27",
                    "req_frequency": 57
                },
                {
                    "req_ip": "192.126.3.28",
                    "req_frequency": 58
                },
                {
                    "req_ip": "192.126.3.29",
                    "req_frequency": 59
                },
                {
                    "req_ip": "192.106.3.30",
                    "req_frequency": 60
                }
            ],
            "黄冈分公司": [
                {
                    "req_ip": "192.106.3.30",
                    "req_frequency": 51
                },
                {
                    "req_ip": "192.106.3.31",
                    "req_frequency": 52
                },
                {
                    "req_ip": "192.106.3.32",
                    "req_frequency": 53
                },
                {
                    "req_ip": "192.106.3.33",
                    "req_frequency": 54
                },
                {
                    "req_ip": "192.106.3.34",
                    "req_frequency": 55
                },
                {
                    "req_ip": "192.106.3.35",
                    "req_frequency": 56
                },
                {
                    "req_ip": "192.106.3.36",
                    "req_frequency": 57
                },
                {
                    "req_ip": "192.106.3.37",
                    "req_frequency": 58
                },
                {
                    "req_ip": "192.106.3.38",
                    "req_frequency": 59
                }
            ],
            "省公司": [
                {
                    "req_ip": "192.146.3.38",
                    "req_frequency": 123
                },
                {
                    "req_ip": "192.146.3.39",
                    "req_frequency": 124
                },
                {
                    "req_ip": "192.146.3.40",
                    "req_frequency": 125
                },
                {
                    "req_ip": "192.146.3.41",
                    "req_frequency": 126
                },
                {
                    "req_ip": "192.146.3.42",
                    "req_frequency": 127
                },
                {
                    "req_ip": "192.146.3.43",
                    "req_frequency": 128
                },
                {
                    "req_ip": "192.146.3.44",
                    "req_frequency": 129
                },
                {
                    "req_ip": "192.146.3.45",
                    "req_frequency": 130
                },
                {
                    "req_ip": "192.146.3.46",
                    "req_frequency": 131
                },
                {
                    "req_ip": "192.146.3.47",
                    "req_frequency": 132
                }
            ]
        },
        "account": {
            "宜昌分公司": [
                {
                    "req_account": "huqx",
                    "req_frequency": 33,
                    "req_jobnum": 54412
                },
                {
                    "req_account": "zhangsf",
                    "req_frequency": 34,
                    "req_jobnum": 54413
                },
                {
                    "req_account": "zhaoj",
                    "req_frequency": 35,
                    "req_jobnum": 54414
                }
            ],
            "随州分公司": [
                {
                    "req_account": "sangdq",
                    "req_frequency": 36,
                    "req_jobnum": 54415
                },
                {
                    "req_account": "hujt",
                    "req_frequency": 37,
                    "req_jobnum": 54416
                }
            ],
            "孝感分公司": [
                {
                    "req_account": "zhangs",
                    "req_frequency": 98,
                    "req_jobnum": 43325
                },
                {
                    "req_account": "lin",
                    "req_frequency": 43,
                    "req_jobnum": 43326
                },
                {
                    "req_account": "liuhr",
                    "req_frequency": 33,
                    "req_jobnum": 43327
                },
                {
                    "req_account": "sunxq01",
                    "req_frequency": 51,
                    "req_jobnum": 43328
                }
            ],
            "黄冈分公司": [
                {
                    "req_account": "shicl",
                    "req_frequency": 47,
                    "req_jobnum": 65341
                },
                {
                    "req_account": "gongxs",
                    "req_frequency": 65,
                    "req_jobnum": 65342
                },
                {
                    "req_account": "sunzs",
                    "req_frequency": 54,
                    "req_jobnum": 65343
                }
            ],
            "省公司": [
                {
                    "req_account": "maoxt",
                    "req_frequency": 37,
                    "req_jobnum": 98761
                },
                {
                    "req_account": "xiaod01",
                    "req_frequency": 29,
                    "req_jobnum": 98761
                },
                {
                    "req_account": "qingsx",
                    "req_frequency": 71,
                    "req_jobnum": 98761
                },
                {
                    "req_account": "guobg",
                    "req_frequency": 79,
                    "req_jobnum": 98761
                }
            ]
        },
        "interface": {
            "http://190.89.233.2:8909/getUser": [
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 23,
                    "req_ip": "192.156.3.12",
                    "req_account": "zhangq",
                    "req_jobnum": 54411
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 24,
                    "req_ip": "192.156.3.12",
                    "req_account": "huqx",
                    "req_jobnum": 54412
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 25,
                    "req_ip": "192.156.3.13",
                    "req_account": "zhangsf",
                    "req_jobnum": 54413
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 26,
                    "req_ip": "192.156.3.14",
                    "req_account": "zhaoj",
                    "req_jobnum": 54414
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 27,
                    "req_ip": "192.156.3.15",
                    "req_account": "sangdq",
                    "req_jobnum": 54415
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 28,
                    "req_ip": "192.156.3.16",
                    "req_account": "hujt",
                    "req_jobnum": 54416
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 29,
                    "req_ip": "192.156.3.17",
                    "req_account": "zhangs",
                    "req_jobnum": 43325
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getUser",
                    "req_frequency": 30,
                    "req_ip": "192.156.3.18",
                    "req_account": "lin",
                    "req_jobnum": 43326
                }
            ],
            "http://190.89.233.2:8909/getpublicconfig": [
                {
                    "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                    "req_frequency": 43,
                    "req_ip": "192.156.3.12",
                    "req_account": "liuhr",
                    "req_jobnum": 43327
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                    "req_frequency": 44,
                    "req_ip": "192.156.3.12",
                    "req_account": "sunxq01",
                    "req_jobnum": 43328
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                    "req_frequency": 45,
                    "req_ip": "192.156.3.18",
                    "req_account": "shicl",
                    "req_jobnum": 65341
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                    "req_frequency": 46,
                    "req_ip": "192.106.3.33",
                    "req_account": "gongxs",
                    "req_jobnum": 65342
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/getpublicconfig",
                    "req_frequency": 47,
                    "req_ip": "192.106.3.34",
                    "req_account": "sunzs",
                    "req_jobnum": 65343
                }
            ],
            "http://190.89.233.2:8909/update/sysconfig": [
                {
                    "interface_addr": "http://190.89.233.2:8909/update/sysconfig",
                    "req_frequency": 34,
                    "req_ip": "192.106.3.35",
                    "req_account": "zhangsf",
                    "req_jobnum": 54415
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/update/sysconfig",
                    "req_frequency": 23,
                    "req_ip": "192.106.3.36",
                    "req_account": "zhaoj",
                    "req_jobnum": 54416
                },
                {
                    "interface_addr": "http://190.89.233.2:8909/update/sysconfig",
                    "req_frequency": 78,
                    "req_ip": "192.106.3.37",
                    "req_account": "sangdq",
                    "req_jobnum": 43325
                },
                {
                    "interface_addr": "http://190.89.233.2:8910/update/sysconfig",
                    "req_frequency": 79,
                    "req_ip": "192.146.3.38",
                    "req_account": "hujt",
                    "req_jobnum": 43326
                },
                {
                    "interface_addr": "http://190.89.233.2:8911/update/sysconfig",
                    "req_frequency": 80,
                    "req_ip": "192.146.3.39",
                    "req_account": "zhangs",
                    "req_jobnum": 43327
                },
                {
                    "interface_addr": "http://190.89.233.2:8912/update/sysconfig",
                    "req_frequency": 81,
                    "req_ip": "192.146.3.40",
                    "req_account": "lin",
                    "req_jobnum": 43328
                },
                {
                    "interface_addr": "http://190.89.233.2:8913/update/sysconfig",
                    "req_frequency": 82,
                    "req_ip": "192.146.3.41",
                    "req_account": "liuhr",
                    "req_jobnum": 65341
                },
                {
                    "interface_addr": "http://190.89.233.2:8914/update/sysconfig",
                    "req_frequency": 83,
                    "req_ip": "192.146.3.42",
                    "req_account": "sunxq01",
                    "req_jobnum": 65342
                },
                {
                    "interface_addr": "http://190.89.233.2:8915/update/sysconfig",
                    "req_frequency": 84,
                    "req_ip": "192.146.3.43",
                    "req_account": "xiaod01",
                    "req_jobnum": 65343
                },
                {
                    "interface_addr": "http://190.89.233.2:8916/update/sysconfig",
                    "req_frequency": 85,
                    "req_ip": "192.146.3.44",
                    "req_account": "qingsx",
                    "req_jobnum": 98761
                },
                {
                    "interface_addr": "http://190.89.233.2:8917/update/sysconfig",
                    "req_frequency": 86,
                    "req_ip": "192.146.3.45",
                    "req_account": "guobg",
                    "req_jobnum": 98761
                },
                {
                    "interface_addr": "http://190.89.233.2:8918/update/sysconfig",
                    "req_frequency": 87,
                    "req_ip": "192.146.3.46",
                    "req_account": "zhangq",
                    "req_jobnum": 98761
                }
            ]
        },
        "menu": {
            "菜单1": [
                {
                    "menu_name": "菜单1",
                    "req_frequency": 53,
                    "req_ip": "192.106.3.32",
                    "req_account": "lin",
                    "req_jobnum": "43326"
                },
                {
                    "menu_name": "菜单1",
                    "req_frequency": 54,
                    "req_ip": "192.106.3.33",
                    "req_account": "liuhr",
                    "req_jobnum": "43327"
                },
                {
                    "menu_name": "菜单1",
                    "req_frequency": 55,
                    "req_ip": "192.106.3.34",
                    "req_account": "sunxq01",
                    "req_jobnum": "43328"
                },
                {
                    "menu_name": "菜单1",
                    "req_frequency": 56,
                    "req_ip": "192.106.3.35",
                    "req_account": "shicl",
                    "req_jobnum": "65341"
                },
                {
                    "menu_name": "菜单1",
                    "req_frequency": 57,
                    "req_ip": "192.106.3.36",
                    "req_account": "gongxs",
                    "req_jobnum": "65342"
                },
                {
                    "menu_name": "菜单1",
                    "req_frequency": 58,
                    "req_ip": "192.106.3.37",
                    "req_account": "sunzs",
                    "req_jobnum": "65343"
                }
            ],
            "菜单2": [
                {
                    "menu_name": "菜单2",
                    "req_frequency": 31,
                    "req_ip": "192.156.3.12",
                    "req_account": "zhangq",
                    "req_jobnum": "54411"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 32,
                    "req_ip": "192.156.3.12",
                    "req_account": "huqx",
                    "req_jobnum": "54412"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 33,
                    "req_ip": "192.156.3.13",
                    "req_account": "zhangsf",
                    "req_jobnum": "54413"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 34,
                    "req_ip": "192.156.3.14",
                    "req_account": "zhaoj",
                    "req_jobnum": "54414"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 35,
                    "req_ip": "192.156.3.15",
                    "req_account": "sangdq",
                    "req_jobnum": "54415"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 36,
                    "req_ip": "192.156.3.16",
                    "req_account": "hujt",
                    "req_jobnum": "54416"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 37,
                    "req_ip": "192.156.3.17",
                    "req_account": "zhangs",
                    "req_jobnum": "43325"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 38,
                    "req_ip": "192.156.3.18",
                    "req_account": "lin",
                    "req_jobnum": "43326"
                },
                {
                    "menu_name": "菜单2",
                    "req_frequency": 39,
                    "req_ip": "192.156.3.12",
                    "req_account": "liuhr",
                    "req_jobnum": "43327"
                }
            ],
            "菜单3": [
                {
                    "menu_name": "菜单3",
                    "req_frequency": 51,
                    "req_ip": "192.106.3.33",
                    "req_account": "gongxs",
                    "req_jobnum": "65342"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 52,
                    "req_ip": "192.106.3.34",
                    "req_account": "sunzs",
                    "req_jobnum": "65343"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 53,
                    "req_ip": "192.106.3.35",
                    "req_account": "zhangsf",
                    "req_jobnum": "54415"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 54,
                    "req_ip": "192.106.3.36",
                    "req_account": "zhaoj",
                    "req_jobnum": "54416"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 55,
                    "req_ip": "192.106.3.37",
                    "req_account": "sangdq",
                    "req_jobnum": "43325"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 56,
                    "req_ip": "192.146.3.38",
                    "req_account": "hujt",
                    "req_jobnum": "43326"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 57,
                    "req_ip": "192.146.3.39",
                    "req_account": "zhangs",
                    "req_jobnum": "43327"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 58,
                    "req_ip": "192.146.3.40",
                    "req_account": "lin",
                    "req_jobnum": "43328"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 59,
                    "req_ip": "192.146.3.41",
                    "req_account": "liuhr",
                    "req_jobnum": "65341"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 60,
                    "req_ip": "192.146.3.42",
                    "req_account": "sunxq01",
                    "req_jobnum": "65342"
                },
                {
                    "menu_name": "菜单3",
                    "req_frequency": 61,
                    "req_ip": "192.146.3.43",
                    "req_account": "xiaod01",
                    "req_jobnum": "65343"
                }
            ]
        }
    }
}